unit main; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, SNMPsend, SpiderCGI, SpiderUtils;

type

  { TDataModule1 }

  TDataModule1 = class(TDataModule)
    SpiderCGI1: TSpiderCGI;
    procedure DataModuleCreate(Sender: TObject);
    procedure SpiderCGI1Request(Sender: TObject; Request: TSpiderRequest;
      var Response: TSpiderResponse);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  DataModule1: TDataModule1; 

implementation


{ TDataModule1 }

procedure TDataModule1.DataModuleCreate(Sender: TObject);
begin
  SpiderCGI1.Execute;
end;

procedure TDataModule1.SpiderCGI1Request(Sender: TObject; Request: TSpiderRequest; var Response: TSpiderResponse);
var
  Host, Comunidade, Oid, Resposta: String;
begin
  Host := Request.Query('host');
  Comunidade := Request.Query('comunidade');
  if Length(Comunidade) = 0 then Comunidade := 'public';
  Oid := Request.Query('oid');
  Response.Add('Teste SNMP');
  Response.Add('<p>');
  Response.Add('Host: ' + Host);
  Response.Add('</p>');
  Response.Add('<p>');
  Response.Add('Comunidade: ' + Comunidade);
  Response.Add('</p>');
  Response.Add('<p>');
  Response.Add('Oid: ' + Oid);
  Response.Add('</p>');
  if SNMPget(Oid, Comunidade, Host, Resposta) then begin
    Response.Add('<p>');
    Response.Add('Resposta encontrada:');
    Response.Add('<br>');
    Response.Add(Resposta);
    Response.Add('</p>');
  end else begin
    Response.Add('<p>');
    Response.Add('Resposta vazia.');
    Response.Add('</p>');
  end;
end;

initialization
  {$I main.lrs}


end.

